petsc-3.12.4 2020-02-04
Report Typos and Errors

# TaoSetResidualRoutine

Sets the residual evaluation routine for least-square applications

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetResidualRoutine(Tao tao, Vec res, PetscErrorCode (*func)(Tao, Vec, Vec, void*),void *ctx)

Logically collective on Tao

### Input Parameter

| tao | - the Tao context
| func | - the residual evaluation routine
| ctx | - [optional] user-defined context for private data for the function evaluation routine (may be NULL)

### Calling sequence of func

         func (Tao tao, Vec x, Vec f, void *ctx);

| x | - input vector
| f | - function value vector
| ctx | - [optional] user-defined function context

### See Also

TaoSetObjectiveRoutine(), TaoSetJacobianRoutine()

### Level

beginner

### Location

src/tao/interface/taosolver_fg.c

### Examples

src/tao/leastsquares/examples/tutorials/chwirut1.c.html
src/tao/leastsquares/examples/tutorials/chwirut2.c.html
src/tao/leastsquares/examples/tutorials/cs1.c.html
src/tao/leastsquares/examples/tutorials/tomography.c.html
src/tao/leastsquares/examples/tutorials/chwirut1f.F90.html
src/tao/leastsquares/examples/tutorials/chwirut2f.F90.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages